### Name: alteredExpression-package
### Title: Altered Expression
### Aliases: alteredExpression-package alteredExpression alteredexpression
### Keywords: data

### ** Examples
## Not run: 
##D  # Generates the data for the example
##D  data <- as.data.frame(rbind(cbind(matrix(rep(5:9,120) + rnorm(600,mean=0,sd=0.2),ncol=6,byrow=TRUE),matrix(sample(1:15,1000,replace=TRUE),ncol=10)),matrix(sample(1:15,3200,replace=TRUE),ncol=16)))
##D  # Run the algorithm. This function searchs for three groups
##D  alteredset <- alteredExpressionGroupSet(data,6,numGroups=3)
##D  # Get the class of the object
##D  class(alteredset)
##D  # Get the gene identifiers of the first group.
##D  getAlteredGenes(alteredset,1)
##D  # Get a vector with the F-score values of all the groups generated.
##D  getFscore(alteredset)
##D  # Generates a plot representing the F-score values of all the groups generated.
##D  plotFscore(alteredset)
##D  # Generates an alteredset ordered by F-score.
##D  alteredset.order <- orderAlteredSet(alteredset)
##D  # Generates a plot representing the F-score values of all the groups ordered by F-score.
##D  plotFscore(alteredset.order)
##D  # Get the group generated in the first position.
##D  altered <- getAltered(alteredset,1)
##D  # Get the class of the object
##D  class(altered)
##D  # Get the expression values of the group
##D  getExprs(altered)
##D  # Get the gene identifiers of the group
##D  getGenes(altered)
##D  # Generates a group expression plot
##D  plotExprs(altered)
##D  # Geterates a group expression scaled-plot
##D  plotScal(altered)
## End(Not run)


