### Name: alteredExpressionGroupSet
### Title: alteredExpressionGroupSet
### Aliases: alteredExpressionGroupSet
### Keywords: datagen

### ** Examples

 # Generates the data for the example
 data <- as.data.frame(rbind(cbind(matrix(rep(5:9,120) + rnorm(600,mean=0,sd=0.2),ncol=6,byrow=TRUE),matrix(sample(1:15,1000,replace=TRUE),ncol=10)),matrix(sample(1:15,3200,replace=TRUE),ncol=16)))
 # Run the algorithm. This function searchs for three groups
 alteredset <- alteredExpressionGroupSet(data,6,numGroups=3)
 # Get the class of the object
 class(alteredset)
 # Get the gene identifiers of the first group.
 getAlteredGenes(alteredset,1)
 # Get a vector with the F-score values of all the groups generated.
 getFscore(alteredset)
 # Generates a plot representing the F-score values of all the groups generated.
 plotFscore(alteredset)
 # Generates an alteredset ordered by F-score.
 alteredset.order <- orderAlteredSet(alteredset)
 # Generates a plot representing the F-score values of all the groups ordered by F-score.
 plotFscore(alteredset.order)
 # Get the group generated in the first position.
 altered <- getAltered(alteredset,1)
 # Get the class of the object
 class(altered)
 # Get the expression values of the group
 getExprs(altered)
 # Get the gene identifiers of the group
 getGenes(altered)
 # Generates a group expression plot
 plotExprs(altered)
 # Geterates a group expression scaled-plot
 plotScal(altered)




